#include <bits/stdc++.h>
using namespace std;
void sledeci(int x,int y,int a,int b){
    if(x == a && y == b){
        cout<<"nijedan";
        return;
    }
    else if(x == a && y > b){
        cout<<"drugi";
        return;
    }
    else if(x > a && y == b){
        cout<<"prvi";
        return;
    }
    else{
        cout<<"?";
        return;
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    int x, y, a, b;
    cin >> x >> y >> a >> b;
    sledeci(x, y, a, b);
    return 0;
}